2017-07-24 06:33 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001772openmediavaultBugpublic2017-07-20 22:44
Reporterraulfg3 
Assigned Tovotdev 
PrioritylowSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOMV3OSOS Version
Product VersionErasmus (3.x) 
Target VersionFixed in VersionErasmus (3.x) 
Summary0001772: SMART WebGUI show RED light , but all is green when open SMART Details
DescriptionPost and screen captures on:
https://forum.openmediavault.org/index.php/Thread/18919-Red-light-on-a-disk-but-all-green-inside/?postID=148447#post148447

TagsNo tags attached.
Product buildOMV 3.0.82
Attached Files

-Relationships
+Relationships

-Notes

~0004839

votdev (administrator)

You should compare the output with a seperate smart tool that is based on libatasmart. OMV has atapted the code of this library (see https://github.com/openmediavault/openmediavault/blob/3.x/deb/openmediavault/usr/share/php/openmediavault/system/storage/smartinformation.inc#L460), so other tools should also report an error.

Checking the source code i assume that the attribute Reallocated_Sector_Ct is the reason for the alert because $numSectors is > 0 which results in a SMART_ASSESSMENT_BAD_SECTOR error.

~0004840

raulfg3 (reporter)

ok, you are probably right, no problem, you can close the bug, because is not a big problem.

~0004872

modelrockettier (reporter)

While it's not a big problem, I do think OpenMediaVault's behavior should be consistent.

Either check for SMART pending/reallocated sectors or don't, but do the same for both the overall drive status and the detailed SMART attributes.

My preference would be to check those attributes in both places so that I can easily be alerted to the issue.

To that end, I've made a pull request which makes the associated SMART attributes show up as red when there are any pending or reallocated sectors.

https://github.com/openmediavault/openmediavault/pull/29

~0004874

votdev (administrator)

Fixed in openmediavault 3.0.85, see https://github.com/openmediavault/openmediavault/commit/086d0f8a9a9b6c938cc4bdbd8b752db2a148e68a.
+Notes

-Issue History
Date Modified Username Field Change
2017-07-07 08:59 raulfg3 New Issue
2017-07-07 08:59 raulfg3 Status new => assigned
2017-07-07 08:59 raulfg3 Assigned To => votdev
2017-07-07 15:24 votdev Note Added: 0004839
2017-07-07 15:52 raulfg3 Note Added: 0004840
2017-07-20 06:28 modelrockettier Note Added: 0004872
2017-07-20 22:44 votdev Status assigned => resolved
2017-07-20 22:44 votdev Resolution open => fixed
2017-07-20 22:44 votdev Fixed in Version => Erasmus (3.x)
2017-07-20 22:44 votdev Note Added: 0004874
+Issue History